Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLPImageDataReader Class Reference

`#include <vtkXMLPImageDataReader.h>`

Inheritance diagram for vtkXMLPImageDataReader:

[legend]
Collaboration diagram for vtkXMLPImageDataReader:

[legend]
List of all members.

## Detailed Description

Read PVTK XML ImageData files.

Date:
  2002/10/16 18:23:06

Revision:
  1.1

vtkXMLPImageDataReader reads the PVTK XML ImageData file format. This reads the parallel format's summary file and then uses vtkXMLImageDataReader to read data from the individual ImageData piece files. Streaming is supported. The standard extension for this reader's file format is "pvti".

See also:
  vtkXMLImageDataReader

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (95%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkXMLPImageDataReader.cxx)`
  - .`h` (`/IO/vtkXMLPImageDataReader.h)`

Definition at line 49 of file vtkXMLPImageDataReader.h.

## Public Types
typedef vtkXMLPStructuredDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetOutput (vtkImageData *output)
vtkImageData * | GetOutput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLPImageDataReader * | SafeDownCast (vtkObject *o)
vtkXMLPImageDataReader * | New ()
## Protected Methods
| vtkXMLPImageDataReader ()
| ~vtkXMLPImageDataReader ()
vtkImageData * | GetPieceInput (int index)
const char * | GetDataSetName ()
void | SetOutputExtent (int *extent)
void | GetPieceInputExtent (int index, int *extent)
int | ReadPrimaryElement (vtkXMLDataElement *ePrimary)
void | SetupOutputInformation ()
vtkXMLDataReader * | CreatePieceReader ()
## Protected Attributes
float | Origin [3]
float | Spacing [3]

## Member Typedef Documentation

typedef vtkXMLPStructuredDataReader vtkXMLPImageDataReader::Superclass

| Reimplemented from vtkXMLPStructuredDataReader. Definition at line 52 of file vtkXMLPImageDataReader.h.

## Constructor & Destructor Documentation

vtkXMLPImageDataReader::vtkXMLPImageDataReader | ( |  | ) | `[protected]`

vtkXMLPImageDataReader::~vtkXMLPImageDataReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLPImageDataReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLPStructuredDataReader.

int vtkXMLPImageDataReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPStructuredDataReader.

virtual int vtkXMLPImageDataReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPStructuredDataReader.

vtkXMLPImageDataReader* vtkXMLPImageDataReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLPStructuredDataReader.

void vtkXMLPImageDataReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLPStructuredDataReader.

vtkXMLPImageDataReader* vtkXMLPImageDataReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

void vtkXMLPImageDataReader::SetOutput | ( | vtkImageData * | output | ) |

| Get/Set the reader's output.

vtkImageData* vtkXMLPImageDataReader::GetOutput | ( |  | ) |

| Get/Set the reader's output.

vtkImageData* vtkXMLPImageDataReader::GetPieceInput | ( | int | index | ) | `[protected]`

const char* vtkXMLPImageDataReader::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLReader.

void vtkXMLPImageDataReader::SetOutputExtent | ( | int * | extent | ) | `[protected, virtual]`

| Implements vtkXMLPStructuredDataReader.

void vtkXMLPImageDataReader::GetPieceInputExtent | ( | int | index,
|  | int * | extent
| ) | `[protected, virtual]`

| Implements vtkXMLPStructuredDataReader.

int vtkXMLPImageDataReader::ReadPrimaryElement | ( | vtkXMLDataElement * | ePrimary | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPStructuredDataReader.

void vtkXMLPImageDataReader::SetupOutputInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPDataReader.

vtkXMLDataReader* vtkXMLPImageDataReader::CreatePieceReader | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLPDataReader.

## Member Data Documentation

float vtkXMLPImageDataReader::Origin[3]`[protected]`

| Definition at line 66 of file vtkXMLPImageDataReader.h.

float vtkXMLPImageDataReader::Spacing[3]`[protected]`

| Definition at line 67 of file vtkXMLPImageDataReader.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLPImageDataReader.h